# -*- coding: ISO-8859-1 -*-
# -*- coding: UTF-8 -*-
""" capellaScript -- Copyright (c) 2009 Bernd Jungmann
>>> displayTest
<<<

<?xml version="1.0" encoding="utf-8"?>
<info>
  <lang id="en">
    <title>Display Test</title>
    <descr>
      <p>Test for displayPage and displaySystem</p>
    </descr>
  </lang>
  <lang id="de">
    <title>Display-Test</title>
    <descr>
      <p>Test fr displayPage und displaySystem</p>
    </descr>
  </lang>
</info>
"""

english = { "Obsolete" : "Obsolete version!",
            "page":"page",
            "system":"system",
            "goto":"Go to"}
german =  { "Obsolete" : "Veraltete Version!",
            "page":"Seite",
            "system":"System",
            "goto":"Gehe zu"}

try:
    setStringTable(
        ("en", english),
        ("de", german))
except:
    def tr(s):
        return german[s]
#-------------------------------------------------------------------

ver, sub, sr = capVersion()

if capVersion() < (5, 0, 0):
    messageBox('capella', tr('Obsolete'))

if capVersion() >= (6, 99, 0):
    options = [tr("page"),tr("system")]
    radio = Radio(options,  text="", value = 1)
    edit = Edit("1", width = 10)
    hbox = HBox([radio, edit], padding = 8, text="")
    dlg = Dialog(tr("goto"), hbox)
    while dlg.run():
        if radio.value() == 0:
            displayPage(int(edit.value())-1)
        else:
            displaySystem(int(edit.value())-1)
        
    
